Home
last modified time | relevance | path

Searched +full:link +full:- +full:name (Results 1 – 25 of 1052) sorted by relevance

12345678910>>...43

/linux-6.12.1/tools/testing/selftests/drivers/net/mlxsw/
Dq_in_q_veto.sh2 # SPDX-License-Identifier: GPL-2.0
28 ip link set dev $swp1 up
29 ip link set dev $swp2 up
38 ip link set dev $swp2 down
39 ip link set dev $swp1 down
49 ip link add dev br0 type bridge vlan_filtering 1 \
51 ip link set dev br0 addrgenmode none
53 ip link set dev br0 up
54 ip link set dev $swp1 master br0
56 ip link add name br0.100 link br0 type vlan \
[all …]
Dvxlan.sh2 # SPDX-License-Identifier: GPL-2.0
45 ip link set dev $swp1 up
46 ip link set dev $swp2 up
53 ip link set dev $swp2 down
54 ip link set dev $swp1 down
59 ip link set dev $swp1 master br0
61 ip link set dev vxlan0 master br0
64 ip link set dev $swp1 nomaster
66 ip link set dev $swp1 master br0
72 ip link set dev $swp1 master br0
[all …]
Dextack.sh2 # SPDX-License-Identifier: GPL-2.0
22 ip link set dev $swp1 up
23 ip link set dev $swp2 up
30 ip link set dev $swp2 down
31 ip link set dev $swp1 down
38 ip link add name br1 type bridge vlan_filtering 0 mcast_snooping 0
39 ip link set dev br1 addrgenmode none
40 ip link set dev br1 up
41 ip link add name vx1 up type vxlan id 1000 \
45 ip link set dev vx1 master br1
[all …]
Drtnetlink.sh2 # SPDX-License-Identifier: GPL-2.0
49 ip link set dev $swp1 up
50 ip link set dev $swp2 up
57 ip link set dev $swp2 down
58 ip link set dev $swp1 down
67 ip link add name vrf-test type vrf table 10
68 ip link set dev $swp1 master vrf-test
70 ip -4 address add 192.0.2.1/24 dev vrf-test
72 ip -6 address add 2001:db8:1::1/64 dev vrf-test
75 log_test "RIF - setting IP address on VRF"
[all …]
/linux-6.12.1/tools/testing/selftests/net/
Dnetns-name.sh2 # SPDX-License-Identifier: GPL-2.0
5 set -o pipefail
7 DEV=dummy-dev0
8 DEV2=dummy-dev1
9 ALT_NAME=some-alt-name
20 echo "ERROR: ${1:-unexpected return code} (ret: $_)" >&2
29 ip -netns $NS link add name $DEV type dummy || fail
30 ip -netns $NS link set dev $DEV netns $test_ns ||
32 ip -netns $test_ns link show dev $DEV >> /dev/null || fail "Device not found after move"
33 ip -netns $test_ns link del $DEV || fail
[all …]
Daltnames.sh2 # SPDX-License-Identifier: GPL-2.0
18 local name
20 ip link property add $DUMMY_DEV altname $SHORT_NAME
21 check_err $? "Failed to add short alternative name"
23 output=$(ip -j -p link show $SHORT_NAME)
24 check_err $? "Failed to do link show with short alternative name"
26 name=$(echo $output | jq -e -r ".[0].altnames[0]")
27 check_err $? "Failed to get short alternative name from link show JSON"
29 [ "$name" == "$SHORT_NAME" ]
30 check_err $? "Got unexpected short alternative name from link show JSON"
[all …]
/linux-6.12.1/tools/testing/selftests/drivers/net/bonding/
Dlag_lib.sh2 # SPDX-License-Identifier: GPL-2.0
6 # Test that a link aggregation device (bonding, team) removes the hardware
15 local name
17 ip link add dummy1 type dummy
18 ip link add dummy2 type dummy
20 name="bond1"
21 ip link add "$name" up type bond mode "$mode"
22 ip link set dev dummy1 master "$name"
23 ip link set dev dummy2 master "$name"
25 name="team0"
[all …]
/linux-6.12.1/sound/soc/intel/boards/
Dsof_board_helpers.c1 // SPDX-License-Identifier: GPL-2.0-only
6 #include "../common/soc-intel-quirks.h"
11 * Intel HDMI DAI Link
15 struct sof_card_private *ctx = snd_soc_card_get_drvdata(rtd->card); in hdmi_init()
18 ctx->hdmi.hdmi_comp = dai->component; in hdmi_init()
27 if (!ctx->hdmi_num) in sof_intel_board_card_late_probe()
30 if (!ctx->hdmi.idisp_codec) in sof_intel_board_card_late_probe()
33 if (!ctx->hdmi.hdmi_comp) in sof_intel_board_card_late_probe()
34 return -EINVAL; in sof_intel_board_card_late_probe()
36 return hda_dsp_hdmi_build_controls(card, ctx->hdmi.hdmi_comp); in sof_intel_board_card_late_probe()
[all …]
/linux-6.12.1/Documentation/networking/dsa/
Db53.rst1 .. SPDX-License-Identifier: GPL-2.0
20 The switch is, if possible, configured to enable a Broadcom specific 4-bytes
30 configuration described in the :ref:`dsa-config-showcases`.
33 ----------------------------------
38 See :ref:`dsa-tagged-configuration`.
41 -------------------------------------
48 The configuration slightly differ from the :ref:`dsa-vlan-configuration`.
54 In difference to the configuration described in :ref:`dsa-vlan-configuration`
64 .. code-block:: sh
67 ip link add link eth0 name eth0.1 type vlan id 1
[all …]
/linux-6.12.1/net/mac80211/
Ddebugfs_netdev.c1 // SPDX-License-Identifier: GPL-2.0-only
5 * Copyright (C) 2020-2023 Intel Corporation
23 #include "driver-ops.h"
38 return d->format(d->sdata, buf, bufsize); in ieee80211_if_read_sdata_handler()
47 struct ieee80211_sub_if_data *sdata = file->private_data; in ieee80211_if_read_sdata()
54 return wiphy_locked_debugfs_read(sdata->local->hw.wiphy, in ieee80211_if_read_sdata()
74 return d->write(d->sdata, buf, count); in ieee80211_if_write_sdata_handler()
83 struct ieee80211_sub_if_data *sdata = file->private_data; in ieee80211_if_write_sdata()
90 return wiphy_locked_debugfs_write(sdata->local->hw.wiphy, in ieee80211_if_write_sdata()
99 struct ieee80211_link_data *link; member
[all …]
/linux-6.12.1/drivers/usb/gadget/function/
Du_ether.h1 /* SPDX-License-Identifier: GPL-2.0+ */
3 * u_ether.h -- interface to USB gadget "ethernet link" utilities
5 * Copyright (C) 2003-2005,2008 David Brownell
6 * Copyright (C) 2003-2004 Robert Schwebel, Benedikt Spranger
42 * This represents the USB side of an "ethernet" link, managed by a USB
44 * in different configurations could share the same ethernet link/netdev,
47 * There is a current limitation that only one instance of this link may
90 /* variant of gether_setup that allows customizing network device name */
96 /* gether_setup - initialize one ethernet-over-usb link
99 * host side of the link is recorded
[all …]
/linux-6.12.1/Documentation/devicetree/bindings/sound/
Dmt8195-mt6359.yaml1 # SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
3 ---
4 $id: http://devicetree.org/schemas/sound/mt8195-mt6359.yaml#
5 $schema: http://devicetree.org/meta-schemas/core.yaml#
10 - Trevor Wu <trevor.wu@mediatek.com>
16 - $ref: sound-card-common.yaml#
21 - mediatek,mt8195_mt6359_rt1019_rt5682
22 - mediatek,mt8195_mt6359_rt1011_rt5682
23 - mediatek,mt8195_mt6359_max98390_rt5682
27 description: User specified audio sound card name
[all …]
Dqcom,sm8250.yaml1 # SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
3 ---
5 $schema: http://devicetree.org/meta-schemas/core.yaml#
10 - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>
19 - items:
20 - enum:
21 - lenovo,yoga-c630-sndcard
22 - qcom,db845c-sndcard
23 - const: qcom,sdm845-sndcard
24 - items:
[all …]
Dgoogle,sc7280-herobrine.yaml1 # SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
3 ---
4 $id: http://devicetree.org/schemas/sound/google,sc7280-herobrine.yaml#
5 $schema: http://devicetree.org/meta-schemas/core.yaml#
7 title: Google SC7280-Herobrine ASoC sound card driver
10 - Judy Hsiao <judyhsiao@chromium.org>
16 - $ref: sound-card-common.yaml#
21 - google,sc7280-herobrine
23 "#address-cells":
26 "#size-cells":
[all …]
/linux-6.12.1/arch/arm64/boot/dts/qcom/
Dmsm8996-oneplus-common.dtsi1 // SPDX-License-Identifier: GPL-2.0-only
10 #include <dt-bindings/gpio/gpio.h>
11 #include <dt-bindings/pinctrl/qcom,pmic-gpio.h>
12 #include <dt-bindings/sound/qcom,q6afe.h>
13 #include <dt-bindings/sound/qcom,q6asm.h>
14 #include <dt-bindings/sound/qcom,wcd9335.h>
23 compatible = "simple-battery";
25 constant-charge-current-max-microamp = <3000000>;
26 voltage-min-design-microvolt = <3400000>;
30 stdout-path = "serial1:115200n8";
[all …]
/linux-6.12.1/tools/testing/selftests/net/forwarding/
Dvxlan_symmetric.sh2 # SPDX-License-Identifier: GPL-2.0
4 # +---------------------------+ +------------------------------+
5 # | vrf-h1 | | vrf-h2 |
9 # +----|----------------------+ +----|-------------------------+
11 # +----|--------------------------------------------|-------------------------+
13 # | +--|--------------------------------------------|-----------------------+ |
31 # | +-----------------------------------+-----------------------------------+ |
33 # | +-----------------------------------|-----------------------------------+ |
35 # | | +--------------------------------+--------------------------------+ | |
40 # | | + vlan10-v (macvlan) + vlan20-v (macvlan) + | |
[all …]
Dvxlan_symmetric_ipv6.sh2 # SPDX-License-Identifier: GPL-2.0
5 # +--------------------------------+ +-----------------------------+
6 # | vrf-h1 | | vrf-h2 |
10 # +----|---------------------------+ +-|---------------------------+
12 # +----|------------------------------------------|---------------------------+
14 # | +--|------------------------------------------|-------------------------+ |
32 # | +-----------------------------------+-----------------------------------+ |
34 # | +-----------------------------------|-----------------------------------+ |
36 # | | +--------------------------------+--------------------------------+ | |
41 # | | + vlan10-v (macvlan) + vlan20-v (macvlan) + | |
[all …]
Dvxlan_asymmetric.sh2 # SPDX-License-Identifier: GPL-2.0
4 # +---------------------------+ +------------------------------+
5 # | vrf-h1 | | vrf-h2 |
9 # +----|----------------------+ +----|-------------------------+
11 # +----|--------------------------------------------|-------------------------+
13 # | +--|--------------------------------------------|-----------------------+ |
24 # | +-----------------------------------+-----------------------------------+ |
26 # | +-----------------------------------|-----------------------------------+ |
28 # | | +--------------------------------+--------------------------------+ | |
33 # | | + vlan10-v (macvlan) vlan20-v (macvlan) + | |
[all …]
Dvxlan_asymmetric_ipv6.sh2 # SPDX-License-Identifier: GPL-2.0
4 # +--------------------------------+ +-----------------------------+
5 # | vrf-h1 | | vrf-h2 |
9 # +----|---------------------------+ +-|---------------------------+
11 # +----|------------------------------------------|---------------------------+
13 # | +--|------------------------------------------|-------------------------+ |
24 # | +-----------------------------------+-----------------------------------+ |
26 # | +-----------------------------------|-----------------------------------+ |
28 # | | +--------------------------------+--------------------------------+ | |
33 # | | + vlan10-v (macvlan) vlan20-v (macvlan) + | |
[all …]
Ddual_vxlan_bridge.sh2 # SPDX-License-Identifier: GPL-2.0
4 # +--------------------+ +----------------------+
11 # +----|---------------+ +--|-------------------+
13 # +----|--------------------------------------------------|--------------------+
15 # | +--|-------------------------------+ +----------------|------------------+ |
25 # | +--------------------------------- + +-----------------------------------+ |
32 # +----|-----------------------------------------------------------------------+
34 # +----|--------------------------------------------------------+
43 # +----|---------------------------------------|----------------+
45 # +----|------------------------------+ +----|------------------------------+
[all …]
/linux-6.12.1/Documentation/netlink/specs/
Drt_link.yaml1 # SPDX-License-Identifier: ((GPL-2.0 WITH Linux-syscall-note) OR BSD-3-Clause)
3 name: rt-link
4 protocol: netlink-raw
8 Link configuration over rtnetlink.
11 -
12 name: ifinfo-flags
15 -
16 name: up
17 -
18 name: broadcast
[all …]
/linux-6.12.1/tools/testing/selftests/net/hsr/
Dhsr_redbox.sh2 # SPDX-License-Identifier: GPL-2.0
10 echo "INFO: Initial validation ping (HSR-SAN/RedBox)."
30 echo "INFO: Longer ping test (HSR-SAN/RedBox)."
48 echo "INFO: preparing interfaces for HSRv${HSRv} (HSR-SAN/RedBox)."
55 # | /-- hsr1 --\ | | [0.41] |
57 # |------------------------| |-------------------|
61 # |------------------------| |-------------------------------|
63 # | \-- hsr2 --/ | | / |
64 # | [0.2] \ | | / | |------------|
65 # | ns2eth3 |---| ns3eth1 -- ns3br1 -- ns3eth3--|--| ns5eth1 |
[all …]
/linux-6.12.1/sound/soc/qcom/
Dcommon.c1 // SPDX-License-Identifier: GPL-2.0
5 #include <dt-bindings/sound/qcom,q6afe.h>
8 #include <linux/input-event-codes.h>
32 struct device *dev = card->dev; in qcom_snd_parse_of()
33 struct snd_soc_dai_link *link; in qcom_snd_parse_of() local
39 if (ret == 0 && !card->name) in qcom_snd_parse_of()
43 dev_err(dev, "Error parsing card name: %d\n", ret); in qcom_snd_parse_of()
47 if (of_property_read_bool(dev->of_node, "widgets")) { in qcom_snd_parse_of()
54 if (of_property_read_bool(dev->of_node, "audio-routing")) { in qcom_snd_parse_of()
55 ret = snd_soc_of_parse_audio_routing(card, "audio-routing"); in qcom_snd_parse_of()
[all …]
/linux-6.12.1/Documentation/ABI/testing/
Dconfigfs-most9 # mount -t configfs none /sys/kernel/config/
12 What: /sys/kernel/config/most_cdev/<link>
22 configure the sub-buffer size for this channel
35 configure whether this link will be an input
49 name of the device the link is to be attached to
52 name of the channel the link is to be attached to
59 creation of the link. In case of speculative
60 configuration, the creation is post-poned until
65 active link
67 What: /sys/kernel/config/most_video/<link>
[all …]
/linux-6.12.1/Documentation/networking/device_drivers/ethernet/ti/
Dcpsw_switchdev.rst1 .. SPDX-License-Identifier: GPL-2.0
17 ip -d link show dev sw0p1 | grep switchid
20 ATTR{phys_port_name}!="", NAME="sw0$attr{phys_port_name}"
26 - The new (cpsw_new.c) driver is operating in dual-emac mode by default, thus
30 - optimized promiscuous mode: The P0_UNI_FLOOD (both ports) is enabled in
36 - learning disabled on ports as it make not too much sense for
37 segregated ports - no forwarding in HW.
38 - enabled basic support for devlink.
47 name switch_mode type driver-specific
50 name ale_bypass type driver-specific
[all …]

12345678910>>...43